Subject: Re: HFL Solutions | EH-202010261505-366208 | Modify Order
From: "- Dr. Sam Robbins -" <[email-masked]>
To: [email-masked]
Cc: manager <[email-masked]>
Date: Sat, 31 Oct 2020 10:32:08 -0700

Hi Kae - for some reason this was shipped. It doesn't look like it was on
"hold". Anyway, it's fine. Please give the refund and let them know that
they got the bottle as a gift and it makes BOTH AlphaViril and Blood FLOW
work better.

thanks

On Mon, Oct 26, 2020 at 1:30 PM HFL Support Team <[email-masked]> wrote:

> Hi Dr Sam,
>
> Name: Jeffrey Begley
> Order ID : EH-202010261505-366208
>
> Cx mistakenly added Blood Pressure Optimizer. He requested to remove it
> from the order. I have put the status on Hold in SS.
> Please let us know once modification has been done so we could refund
> customer,
>
> Regards,
> Kae
>
>
>